#!/bin/bash
#
echo "Started..."
#Started...
#
# special variable $# is the number of arguments
if [ $# -lt 5 ] ; then
    echo 'Call ./<script> <db name> <db user> <db zhv schema> <db vbn schema> <out file>'
    exit 1
fi
#
DB_NAME="$1"
echo "DB_NAME: $DB_NAME"
DB_USER="$2"
echo "DB_USER: $DB_USER"
DB_SCHEMA="$3"
echo "DB_SCHEMA: $DB_SCHEMA"
DB_SCHEMA_VBN="$4"
echo "DB_SCHEMA_VBN: $DB_SCHEMA_VBN"
OUT_FILE="$5"
echo "OUT_FILE: $OUT_FILE"
#
psql -h localhost -p 5432 -U $DB_USER -f ./sql/compare-zhv-with-vbn.sql -d $DB_NAME -v schema_vbn=$DB_SCHEMA_VBN -v schema=$DB_SCHEMA
#create export
psql -U $DB_USER -d $DB_NAME -f ./sql/copy.sql -o $OUT_FILE -v schema=$DB_SCHEMA
#
echo "Done."
#done.
