-- colon before variable: for a prepared statement using named placeholders, this will be a parameter name of the form :name

CREATE SCHEMA IF NOT EXISTS :schema;
SET search_path to :schema, public;

DROP TABLE IF EXISTS stops;

CREATE TABLE IF NOT EXISTS :schema.stops
(
stop_seq_no INT,
stop_type CHAR(1),
stop_dhid VARCHAR(63),
stop_parent VARCHAR(31),
stop_name TEXT,
stop_lat VARCHAR(31),
stop_lon VARCHAR(31),
stop_municipality_code VARCHAR(15),
stop_municipality VARCHAR(63),
stop_district_code VARCHAR(15),
stop_district VARCHAR(31),
stop_description TEXT,
stop_authority TEXT,
stop_delfi_name VARCHAR(31),
stop_thid VARCHAR(31),
stop_tariff_provider TEXT,
stop_last_operation_date VARCHAR(31)
);
